# Class Source

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a source entity, serving as a base or generic type for defining source-related data or behavior.

    public class Source

Inheritance
  object
  Source

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Code

    public string? Code { get; set; }

#### Property Value

string

### CodeSystem

    public string? CodeSystem { get; set; }

#### Property Value

string

### OriginalName

    public string? OriginalName { get; set; }

#### Property Value

string

### Result

    public string? Result { get; set; }

#### Property Value

string

### Units

    public string? Units { get; set; }

#### Property Value

string

### Value

    public object? Value { get; set; }

#### Property Value

object